## cantor 20.12.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.12 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(cantor VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION "5.57.0")

find_package(ECM 5.15.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

find_package(Qt5 5.8.0 CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    XmlPatterns
    Test)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Config
    Crash
    Completion
    DocTools
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    SyntaxHighlighting
    TextWidgets
    KIO
    XmlGui
    I18n
)

find_package(Poppler "0.62.0" REQUIRED COMPONENTS Qt5)


if(NOT WIN32)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Pty)
endif()

option(USE_LIBSPECTRE "Use libspectre library" ON)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMAddAppIcon)
include(GenerateExportHeader)

add_subdirectory(thirdparty)
# Need to set this here, because variable can't move from subdirectory (thirdparty) to upper cmake scope
set(Discount_FOUND TRUE)

if(NOT WIN32 AND USE_LIBSPECTRE)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "https://www.freedesktop.org/wiki/Software/libspectre/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LIBSPECTRE_FOUND)
        set(WITH_EPS On)
    else(LIBSPECTRE_FOUND)
        set(WITH_EPS Off)
    endif(LIBSPECTRE_FOUND)

else()
    set(WITH_EPS Off)
endif()

#[[
find_package(Discount 2.2.0)
set_package_properties(Discount PROPERTIES DESCRIPTION "A C implementation of the Markdown markup language"
    URL "https://www.pell.portland.or.us/~orc/Code/discount/"
    TYPE OPTIONAL
    PURPOSE "Used for Markdown entries in Cantor")
]]#

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG_OUTPUT")

kde_enable_exceptions()

# FIXME Looks like docbook on Windows don't buildable at all, so it are temporarily disabled
if(NOT WIN32)
    add_subdirectory(doc)
endif(NOT WIN32)
add_subdirectory(src)
add_subdirectory(icons)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Cantor")
configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/CantorConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}/
    #PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX CANTOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/cantor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake"
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(EXPORT CantorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE CantorTargets.cmake
    NAMESPACE Cantor::
)


ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
cantor (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:49:13 +0000

cantor (4:20.12.1-4ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - cantor-backend-maxima: Do not depend on maxima on ricsv64, where
      for now it is not available.

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Feb 2021 17:46:48 +0000

cantor (4:20.12.1-3ubuntu1) hirsute; urgency=medium

  * cantor-backend-maxima: Do not depend on maxima on ricsv64, where for
    now it is not available.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Jan 2021 16:57:04 +0000

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.49.0~),
               gettext,
               julia [amd64],
               libanalitza-dev (>= 4:20.12.2~),
               libglib2.0-dev,
               libjulia-dev [amd64],
               libkf5archive-dev (>= 5.57.0~),
               libkf5completion-dev (>= 5.57.0~),
               libkf5config-dev (>= 5.57.0~),
               libkf5coreaddons-dev (>= 5.57.0~),
               libkf5crash-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5iconthemes-dev (>= 5.57.0~),
               libkf5kio-dev (>= 5.57.0~),
               libkf5newstuff-dev (>= 5.57.0~),
               libkf5parts-dev (>= 5.57.0~),
               libkf5pty-dev (>= 5.57.0~),
               libkf5syntaxhighlighting-dev (>= 5.57.0~),
               libkf5texteditor-dev (>= 5.57.0~),
               libkf5textwidgets-dev (>= 5.57.0~),
               libkf5xmlgui-dev (>= 5.57.0~),
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libmarkdown2-dev,
               libpoppler-qt5-dev (>= 0.62.0~),
               libqalculate-dev,
               libqt5svg5-dev (>= 5.8.0~),
               libqt5xmlpatterns5-dev (>= 5.8.0~),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python3-dev,
               qtbase5-dev (>= 5.8.0~),
               r-base-core,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-julia [amd64],
          cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 ppc64el s390x]
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
  * Julia (cantor-backend-julia)
 .
 This package is part of the KDE education module.

Package: libcantorlibs28
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: cantor (<< 4:20.12.0-2~)
Description: interface for mathematical applications - shared library
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the shared library for Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-dev
Architecture: any
Section: devel
Depends: libcantorlibs28 (=  ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: interface for mathematical applications - development files
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the development headers for Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (https://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (https://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima [!riscv64], ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (https://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Breaks: libcantor-pythonbackend (<< 4:20.04.2~)
Replaces: libcantor-pythonbackend (<< 4:20.04.2~)
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (https://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (https://qalculate.github.io/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (https://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (https://www.sagemath.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (https://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-julia
Architecture: amd64
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Julia backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Julia programming language
 (https://julialang.org) in Cantor.
 .
 This package is part of the KDE education module.

## cantor 20.12.3

=== debian/changelog ===
cantor (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:14:49 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:20.12.2~),
+               libanalitza-dev (>= 4:20.12.3~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.57.0~),

## cantor 21.04.0

=== debian/changelog ===
cantor (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:29:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:20.12.3~),
+               libanalitza-dev (>= 4:21.04.0~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.57.0~),

## cantor 21.04.1

=== debian/changelog ===
cantor (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:01:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:21.04.0~),
+               libanalitza-dev (>= 4:21.04.1~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.57.0~),

## cantor 21.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required (VERSION 3.12 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.13 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
 set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -15,6 +15,9 @@
 
 find_package(ECM 5.15.0 REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
+
+set( SharedMimeInfo_MINIMUM_VERSION "1.3" ) #TODO: What is the minimum required version?
+find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)
 
 find_package(Qt5 5.8.0 CONFIG REQUIRED
     Core

=== debian/changelog ===
cantor (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:34:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:21.04.1~),
+               libanalitza-dev (>= 4:21.04.2~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.57.0~),

## cantor 21.04.3

=== debian/changelog ===
cantor (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:38:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:21.04.2~),
+               libanalitza-dev (>= 4:21.04.3~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.57.0~),

## cantor 21.07.80

=== src/assistants/solve/CMakeLists.txt ===
set( SolveAssistant_SRCS
     solveassistant.cpp
)

ki18n_wrap_ui(SolveAssistant_SRCS solvedlg.ui)

add_assistant(solveassistant ${SolveAssistant_SRCS})

install( FILES cantor_solve_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

## cantor 21.07.90

=== debian/changelog ===
cantor (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:53 +0100

cantor (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update build deps from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 12:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,30 +4,30 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.12~),
+Build-Depends: cmake (>= 3.13~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:21.04.3~),
+               libanalitza-dev (>= 4:21.07.90~),
                libglib2.0-dev,
                libjulia-dev [amd64],
-               libkf5archive-dev (>= 5.57.0~),
-               libkf5completion-dev (>= 5.57.0~),
-               libkf5config-dev (>= 5.57.0~),
-               libkf5coreaddons-dev (>= 5.57.0~),
-               libkf5crash-dev (>= 5.57.0~),
-               libkf5doctools-dev (>= 5.57.0~),
-               libkf5i18n-dev (>= 5.57.0~),
-               libkf5iconthemes-dev (>= 5.57.0~),
-               libkf5kio-dev (>= 5.57.0~),
-               libkf5newstuff-dev (>= 5.57.0~),
-               libkf5parts-dev (>= 5.57.0~),
-               libkf5pty-dev (>= 5.57.0~),
-               libkf5syntaxhighlighting-dev (>= 5.57.0~),
-               libkf5texteditor-dev (>= 5.57.0~),
-               libkf5textwidgets-dev (>= 5.57.0~),
-               libkf5xmlgui-dev (>= 5.57.0~),
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5completion-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5iconthemes-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5parts-dev (>= 5.70.0~),
+               libkf5pty-dev (>= 5.70.0~),
+               libkf5syntaxhighlighting-dev (>= 5.70.0~),
+               libkf5texteditor-dev (>= 5.70.0~),
+               libkf5textwidgets-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                liblapack3,
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
@@ -40,7 +40,10 @@
                pkg-kde-tools (>> 0.15.15),
                python3-dev,
                qtbase5-dev (>= 5.8.0~),
+               qttools5-dev,
+               qtwebengine5-dev (>= 5.8.0~),
                r-base-core,
+               shared-mime-info (>= 1.3~)
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/

## cantor 21.08.0

=== debian/changelog ===
cantor (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:21.07.90~),
+               libanalitza-dev (>= 4:21.08.0~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.70.0~),
@@ -43,7 +43,7 @@
                qttools5-dev,
                qtwebengine5-dev (>= 5.8.0~),
                r-base-core,
-               shared-mime-info (>= 1.3~)
+               shared-mime-info (>= 1.3~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/

## cantor 21.08.1

=== debian/changelog ===
cantor (4:21.08.1-0ubuntu2) jammy; urgency=medium

  * No change rebuild againt libqalculate22

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Oct 2021 15:41:23 +0100

cantor (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:21.08.0~),
+               libanalitza-dev (>= 4:21.08.1~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.70.0~),

## cantor 21.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION "5.57.0")
+set(KF5_MIN_VERSION "5.70.0")
 
 find_package(ECM 5.15.0 REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
@@ -26,7 +26,10 @@
     Svg
     Xml
     XmlPatterns
-    Test)
+    Test
+    Help
+    WebEngine
+    WebEngineWidgets)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     Config

=== debian/changelog ===
cantor (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:35:45 +0000

cantor (4:21.08.1-0ubuntu3) jammy; urgency=medium

  * Allow building without julia backend for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Oct 2021 16:28:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:21.08.1~),
+               libanalitza-dev (>= 4:21.08.3~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.70.0~),

## cantor 21.11.80

=== debian/changelog ===
cantor (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:13 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:21.08.3~),
+               libanalitza-dev (>= 4:21.11.80~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.70.0~),

## cantor 21.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:21.11.90-0ubuntu3) jammy; urgency=medium

  * Sync Debian unstable changes: Remaining changes:
    - New upstream (RC) release (21.11.90)
    - Kubuntu Vcs fields.
    - Build depend on latest analitza.

 -- Rik Mills <rikmills@kde.org>  Sat, 04 Dec 2021 11:07:11 +0000

cantor (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:01:23 +0000

cantor (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:32 +0000

cantor (4:21.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release.

  [ Stéphane Glondu ]
  * Drop the julia backend (Closes: #1000949)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Dec 2021 10:25:03 +0100

cantor (4:21.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * libqalculate >= 3.8.0 is available in unstable now, so:
    - bump the libqalculate-dev build dependency to 3.8.0, matching the
      upstream build system requirement
    - drop patch debian-lower-libqalculate.diff, no more needed
  * Drop the breaks/replaces for versions older than Debian Buster.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Oct 2021 06:21:16 +0200

cantor (4:21.08.0-2) unstable; urgency=medium

  * Team upload.
  * Temporarily lower the libqalculate requirement, as what is currently in
    unstable should be enough; patch debian-lower-libqalculate.diff.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Make sure to have strict dependencies on the library package.
  * Add Build-Depends-Package in symbols file.
  * Fix the section of a couple of binaries:
    - libcantorlibs28 must be 'libs', as it is a shared library
    - libcantor-dev must be 'libdevel', as it contains development files for a
      shared library

 -- Pino Toscano <pino@debian.org>  Sun, 22 Aug 2021 12:49:36 +0200

cantor (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Update build-deps and deps with the info from cmake
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:29:11 +0900

cantor (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 13:37:52 +0900

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,8 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               julia [amd64],
-               libanalitza-dev (>= 4:21.11.80~),
+               libanalitza-dev (>= 4:21.11.90~),
                libglib2.0-dev,
-               libjulia-dev [amd64],
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),
                libkf5config-dev (>= 5.70.0~),
@@ -32,7 +30,7 @@
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
                libpoppler-qt5-dev (>= 0.62.0~),
-               libqalculate-dev,
+               libqalculate-dev (>= 3.8.0~),
                libqt5svg5-dev (>= 5.8.0~),
                libqt5xmlpatterns5-dev (>= 5.8.0~),
                libspectre-dev,
@@ -40,32 +38,29 @@
                pkg-kde-tools (>> 0.15.15),
                python3-dev,
                qtbase5-dev (>= 5.8.0~),
-               qttools5-dev,
+               qttools5-dev (>= 5.8.0~),
                qtwebengine5-dev (>= 5.8.0~),
                r-base-core,
                shared-mime-info (>= 1.3~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
 
 Package: cantor
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-julia [amd64],
-          cantor-backend-kalgebra,
+Suggests: cantor-backend-kalgebra,
           cantor-backend-lua [i386 amd64],
           cantor-backend-maxima,
           cantor-backend-octave,
           cantor-backend-python3,
           cantor-backend-r,
           cantor-backend-sage,
-          cantor-backend-scilab [amd64 arm64 ppc64el s390x]
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+          cantor-backend-scilab [amd64 arm64 ppc64el s390x],
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -82,15 +77,15 @@
   * Scilab (cantor-backend-scilab)
   * Qalculate! (cantor-backend-qalculate)
   * Lua (cantor-backend-lua)
-  * Julia (cantor-backend-julia)
  .
  This package is part of the KDE education module.
 
 Package: libcantorlibs28
 Architecture: any
-Section: math
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: cantor (<< 4:20.12.0-2~)
+Breaks: cantor (<< 4:20.12.0-2~)
 Description: interface for mathematical applications - shared library
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -103,7 +98,7 @@
 
 Package: libcantor-dev
 Architecture: any
-Section: devel
+Section: libdevel
 Depends: libcantorlibs28 (=  ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -136,8 +131,6 @@
 Architecture: amd64 i386
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
 Description: Lua backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -152,7 +145,7 @@
 Package: cantor-backend-maxima
 Architecture: any
 Section: math
-Depends: maxima [!riscv64], ${misc:Depends}, ${shlibs:Depends}
+Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
 Description: Maxima backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -168,8 +161,6 @@
 Architecture: any
 Section: math
 Depends: octave, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
 Description: Octave backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -202,8 +193,6 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
 Description: Qalculate! backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -251,8 +240,6 @@
 Architecture: amd64 arm64 ppc64el s390x
 Section: math
 Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
 Description: Scilab backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -263,18 +250,3 @@
  package for numerical computations (https://www.scilab.org) in Cantor.
  .
  This package is part of the KDE education module.
-
-Package: cantor-backend-julia
-Architecture: amd64
-Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Julia backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using the Julia programming language
- (https://julialang.org) in Cantor.
- .
- This package is part of the KDE education module.

## cantor 21.12.0a

=== debian/changelog ===
cantor (4:21.12.0a-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Rename tarball after upstream re-spin.
  * Disable patch discount-build-verbose.diff
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:16:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.13~),

## cantor 21.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:20:10 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:21.11.90~),
+               libanalitza-dev (>= 4:21.12.1~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 21.12.2

=== debian/changelog ===
cantor (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:12:16 +0000

cantor (4:21.12.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:07:58 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:21.12.1~),
+               libanalitza-dev (>= 4:21.12.2~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== src/scripteditor/CMakeLists.txt ===
set( scripteditor_SRCS
    main.cpp
    scripteditorwidget.cpp
)

add_executable( cantor_scripteditor ${scripteditor_SRCS} )

target_link_libraries(cantor_scripteditor KF5::TextEditor)

install(TARGETS cantor_scripteditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/assistants/runscript/CMakeLists.txt ===
set( RunScriptAssistant_SRCS
     runscriptassistant.cpp
)

add_assistant(runscriptassistant ${RunScriptAssistant_SRCS})

target_link_libraries( cantor_runscriptassistant ${KDE4_KIO_LIBS} cantorlibs)

install( FILES cantor_runscript_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== src/backends/R/CMakeLists.txt ===
include_directories(${R_INCLUDEDIR})
LINK_DIRECTORIES(${R_SHAREDLIBDIR})

if(NOT WIN32)
# rserver is using RInterface.h which is Unix only
# see https://colinfay.me/writing-r-extensions/linking-guis-and-other-front-ends-to-r.html
add_subdirectory(rserver)
endif()

set( RBackend_SRCS
  rbackend.cpp
  rsession.cpp
  rexpression.cpp
  rextensions.cpp
  rcompletionobject.cpp
  rhighlighter.cpp
  rkeywords.cpp
  rsettingswidget.cpp
  rvariablemodel.cpp
  ../backendsettingswidget.cpp
)

kconfig_add_kcfg_files(RBackend_SRCS rserver/settings.kcfgc)

set(network_xml rserver/org.kde.Cantor.R.xml)
QT5_ADD_DBUS_INTERFACE(RBackend_SRCS ${network_xml} rserver_interface )

ki18n_wrap_ui(RBackend_SRCS settings.ui)

add_backend(rbackend ${RBackend_SRCS})

set_target_properties( cantor_rbackend PROPERTIES INSTALL_RPATH_USE_LINK_PATH false)
target_link_libraries( cantor_rbackend cantor_help ${R_USED_LIBS} KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testr testr.cpp)
  add_test(NAME testr COMMAND testr)
  ecm_mark_as_test(testr)
  target_link_libraries( testr
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install( FILES cantor_r.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )

=== src/backends/octave/CMakeLists.txt ===
set( OctaveBackend_SRCS
  octavebackend.cpp
  octavesession.cpp
  octaveexpression.cpp
  octaveextensions.cpp
  octavehighlighter.cpp
  octavekeywords.cpp
  octavecompletionobject.cpp
  octavesyntaxhelpobject.cpp
  octavevariablemodel.cpp
  octavesettingswidget.cpp
  ../backendsettingswidget.cpp
)

add_subdirectory(scripts)

if (WITH_EPS)
    set(DEFAULT_PLOT_FORMAT "eps")
    set(EPS_PLOT_FORMAT_CHOICE "<choice name=\"eps\"/>")
    file(READ with_eps_ui_part.txt EPS_PLOT_FORMAT_UI_ELEMENT)
else (WITH_EPS)
    set(DEFAULT_PLOT_FORMAT "png")
endif (WITH_EPS)
configure_file(octavebackend.kcfg.in ${CMAKE_CURRENT_BINARY_DIR}/octavebackend.kcfg)

kconfig_add_kcfg_files(OctaveBackend_SRCS settings.kcfgc)
install(FILES octavebackend.kcfg.in DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(OctaveBackend_SRCS settings.ui)

add_backend(octavebackend ${OctaveBackend_SRCS})

target_link_libraries(cantor_octavebackend cantor_help
  KF5::KIOCore
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::SyntaxHighlighting
)

if(BUILD_TESTING)
  add_executable( testoctave testoctave.cpp ${OctaveBackend_SRCS})
  add_test(NAME testoctave COMMAND testoctave)
  target_link_libraries( testoctave
    Qt5::Test
    KF5::SyntaxHighlighting
    cantorlibs
    cantortest
    cantor_help
  )
endif()


install(FILES cantor_octave.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )


install(FILES graphic_packages.xml DESTINATION ${KDE_INSTALL_DATADIR}/cantor/octave)

=== src/backends/sage/CMakeLists.txt ===
set( SageBackend_SRCS
  sagebackend.cpp
  sagesession.cpp
  sageexpression.cpp
  sageextensions.cpp
  sagekeywords.cpp
  sagehighlighter.cpp
  sagecompletionobject.cpp
  sagesettingswidget.cpp
  ../backendsettingswidget.cpp
)

kconfig_add_kcfg_files(SageBackend_SRCS settings.kcfgc)
install(FILES sagebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(SageBackend_SRCS settings.ui)

add_backend(sagebackend ${SageBackend_SRCS})

target_link_libraries( cantor_sagebackend cantor_help
    KF5::Pty
    KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testsage testsage.cpp)
  add_test(NAME testsage COMMAND testsage)
  target_link_libraries( testsage
    Qt5::Test
    cantorlibs
    cantortest
  )
endif()

install(FILES cantor_sage.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR})

install(
  PROGRAMS cantor-execsage
  DESTINATION ${KDE_INSTALL_DATADIR}/cantor/sagebackend
)

=== src/panelplugins/documentationpanel/CMakeLists.txt ===
set( DocumentationPanelPlugin_SRCS
     documentationpanelplugin.cpp
     documentationpanelwidget.cpp
)

add_panel(documentationpanelplugin ${DocumentationPanelPlugin_SRCS})

target_link_libraries(cantor_documentationpanelplugin
    Qt5::Help
    Qt5::WebEngine
    Qt5::WebEngineWidgets)

=== src/assistants/linearalgebra/eigenvalues/CMakeLists.txt ===
set( EigenValuesAssistant_SRCS
     eigenvaluesassistant.cpp
)

ki18n_wrap_ui(EigenValuesAssistant_SRCS eigenvaluesdlg.ui)

add_assistant(eigenvaluesassistant ${EigenValuesAssistant_SRCS})

install( FILES cantor_eigenvalues_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== src/backends/octave/scripts/CMakeLists.txt ===
install( FILES cantor_eigenvectors.m cantor_plot2d.m cantor_plot3d.m cantor_print.m DESTINATION  ${KDE_INSTALL_DATADIR}/cantor/octavebackend )

=== debian/changelog ===
cantor (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:47 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:21.12.2~),
+               libanalitza-dev (>= 4:21.12.3~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),
